html {
    overflow: hidden;
}

#app-map {
    position: fixed;
    top: 0;
    left: 0;
    width: 100dvw;
    height: 105dvh;
    z-index: 2;
}

.page-template-template-app_home #page {
    padding-top: 0;
}

#app-header {
    position: fixed;
    top: 10px;
    left: 0;
    width: 100%;
    z-index: 10;
}

.app-header-logo {
    display: flex;
    justify-content: center;
}

.app-header-logo svg {
    width: 100px;
    height: auto;
}

#app-map-popup {
    position: fixed;
    bottom: 0;
    left: 0;
    z-index: 10;
    width: 100%;
}

.app-popup-wrapper {
    height: 160px;
    background-color: #FFBF22;
    padding: 20px;
    border-radius: 12px 12px 0 0;
    border: 1px solid #000;
}

.app-popup-main {
    display: grid;
    grid-template-columns: 75% minmax(0, 1fr);
    gap: 15px;
}

.app-popup-header {
    display: flex;
    align-items: center;
    gap: 10px;
}

.app-popup-index {
    flex-shrink: 0;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    width: 30px;
    height: 30px;
    color: #FFF;
    background-color: #E00099;
    border-radius: 50%;
    font-size: 1.3rem;
    font-weight: 600;
}

.app-popup-right img {
    width: 100%;
    height: auto;
    max-height: 70px;
    object-fit: cover;
    border-radius: 8px;
}

.app-popup-title {
    color: #000F;
    font-size: 1.5rem;
    text-transform: uppercase;
    font-weight: 600;
}

.app-popup-btns {
    display: flex;
    align-items: center;
    gap: 20px;
    padding-top: 10px;
}

.app-popup-btns button {
    background-color: #000;
    border: 1px solid #000;
    border-radius: 8px;
    padding: 10px 20px;
    color: #ffbf22;
    text-transform: uppercase;
    font-weight: 600;
    font-size: 1.4rem;
    display: inline-flex;
    align-items: center;
    gap: 10px;
}

#app-events {
    position: fixed;
    bottom: 20px;
    right: 15px;
    z-index: 5;
    width: 45px;
    height: 45px;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: #ffbf22;
    transition: .4s ease;
}

#app-show-location {
    position: fixed;
    bottom: 80px;
    right: 15px;
    z-index: 5;
    width: 45px;
    height: 45px;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: #ffbf22;
    transition: .4s ease;
}

#app-events svg {
    width: 16px;
    height: 16px;
}

#app-show-location svg {
    width: 16px;
    height: 16px;
}

#app-cancel-navigation {
    position: fixed;
    bottom: 140px;
    right: 15px;
    z-index: 5;
    width: 45px;
    height: 45px;
    border-radius: 50%;
    display: none;
    align-items: center;
    justify-content: center;
    background-color: #ffbf22;
    transition: .4s ease;
}

#app-cancel-navigation svg {
    width: 16px;
    height: 16px;
}

#app-events-popup {
    position: fixed;
    top: 0;
    left: 0;
    width: 100dvw;
    height: 100dvh;
    z-index: 100;
    display: none;
    background-color: #FFBF22;
}

.slide-in-right {
	-webkit-animation: slide-in-right 0.4s cubic-bezier(0.250, 0.460, 0.450, 0.940) both;
    animation: slide-in-right 0.4s cubic-bezier(0.250, 0.460, 0.450, 0.940) both;
}

@-webkit-keyframes slide-in-right {
    0% {
        -webkit-transform: translateX(1000px);
                transform: translateX(1000px);
        opacity: 0;
    }
    100% {
        -webkit-transform: translateX(0);
                transform: translateX(0);
        opacity: 1;
    }
}
@keyframes slide-in-right {
    0% {
        -webkit-transform: translateX(1000px);
                transform: translateX(1000px);
        opacity: 0;
    }
    100% {
        -webkit-transform: translateX(0);
                transform: translateX(0);
        opacity: 1;
    }
}

.slide-out-right {
	-webkit-animation: slide-out-right 0.4s cubic-bezier(0.550, 0.085, 0.680, 0.530) both;
    animation: slide-out-right 0.4s cubic-bezier(0.550, 0.085, 0.680, 0.530) both;
}

@-webkit-keyframes slide-out-right {
    0% {
        -webkit-transform: translateX(0);
                transform: translateX(0);
        opacity: 1;
    }
    100% {
        -webkit-transform: translateX(1000px);
                transform: translateX(1000px);
        opacity: 0;
    }
}
@keyframes slide-out-right {
    0% {
        -webkit-transform: translateX(0);
                transform: translateX(0);
        opacity: 1;
    }
    100% {
        -webkit-transform: translateX(1000px);
                transform: translateX(1000px);
        opacity: 0;
    }
}

.app-popup-container {
    padding: 20px 20px;
}

#app-popup-close {
    display: inline-flex;
    width: 40px;
    height: 40px;
    align-items: center;
    justify-content: center;
    position: relative;
    top: -10px;
    left: -10px;
}

#app-popup-close svg {
    width: 22px;
    height: 22px;
}

.app-popup-heading {
    font-size: 30px;
    padding-bottom: 20px;
    border-bottom: 1px solid #000;
    margin-bottom: 20px;
    padding-top: 15px;
    font-weight: 600;
}

.app-popup-content {
    max-height: calc(100dvh - 100px);
    overflow-y: auto;
    overflow-x: hidden;
    padding-right: 10px;
}

.app-popup-content::-webkit-scrollbar {
    width: 10px;
}

.app-popup-content::-webkit-scrollbar-track {
    background: #e2aa1c; 
    border-radius: 100px;
}

.app-popup-content::-webkit-scrollbar-thumb {
    background: #E00099; 
    border-radius: 100px;
}

#app:has(.map-popup-opened) #app-events {
    bottom: 200px;
}

#app:has(.map-popup-opened) #app-show-location {
    bottom: 260px;
}

#app:has(.map-popup-opened) #app-cancel-navigation {
    bottom: 320px;
}

.app-event {
    margin-bottom: 25px;
}

.app-event-image {
    height: 225px;
}

.app-event-image img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center center;
    border-radius: 8px;
}

.app-title {
    padding-top: 4px;
    font-size: 22px;
    font-weight: 600;
    line-height: 140%;
    padding-bottom: 4px;
}

.app-event-meta-1,
.app-event-meta-2 {
    display: flex;
    align-items: center;
    gap: 10px;
    padding: 5px 0;
}

.app-event-meta {
    display: inline-flex;
    align-items: center;
    gap: 6px;
}

.app-event-meta span {
    font-size: 14px;
    line-height: 100%;
    color: #000;
}

.app-event-types {
    display: flex;
    align-items: center;
    gap: 6px;
    flex-wrap: wrap;
    padding-top: 14px;
}

.app-event-card-type {
    display: inline-flex;
    align-items: center;
    gap: 4px;
    background-color: #000;
    padding: 4px 10px;
    border-radius: 8px;
}

.app-event-card-type span {
    color: #FFBF22;
    font-size: 13px;
    line-height: 100%;
}

.app-event-card-type svg {
    height: 17px;
    width: auto;
}

.app-event-card-type svg path {
    stroke: #FFBF22;
}

.app-event-short-description {
    padding-top: 8px;
    font-size: 13px;
    line-height: 140%;
    font-weight: 400;
    color: #000;
}

.app-popup-date {
    padding-left: 40px;
    padding-top: 5px;
    font-size: 14px;
    color: #000;
}